【漏洞预警】Squid HTTP 消息处理拒绝服务漏洞

admin 2023年12月5日02:20:21评论18 views字数 522阅读1分44秒阅读模式

【漏洞预警】Squid HTTP 消息处理拒绝服务漏洞

漏洞详情:

SquidHTTP消息处理中存在拒绝服务漏洞,由于缓冲区过度读取错误,Squid 很容易受到针对 Squid HTTP 消息处理的分布式拒绝服务攻击攻击,该漏洞允许远程攻击者在发送精心编制的HTTP消息时执行拒绝服务。

厂商:
开放源代码项目

影响产品:
Squid

影响版本:
2.2 <= Squid <= 5.9
6.0 <= Squid <= 6.4

其他修复方法:
此漏洞已在 Squid 版本 6.5 中修复
此外,针对稳定版本的补丁可以在我们的补丁档案中找到:
Squid 5 及之前版本:
Http://www.squid-cache.org/versions/v5/squid-2023_7.patch

Squid 6:
Http://www.squid-cache.org/versions/v6/squid-2023_7.patch
如果您正在使用一个预打包的 Squid 版本,那么请参考包供应商,以获得关于更新后的包的可用性信息。

相关链接:
https://github.com/squid-cache/squid/security/advisories/GHSA-8w9r-p88v-mmx9

原文始发于微信公众号(飓风网络安全):【漏洞预警】Squid HTTP 消息处理拒绝服务漏洞

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2023年12月5日02:20:21
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   【漏洞预警】Squid HTTP 消息处理拒绝服务漏洞http://cn-sec.com/archives/2268617.html

发表评论

匿名网友 填写信息